Loading...
Searching...
No Matches
NormalShader< Film::RGBA, SamplerType > Class Template Reference

`#include <openvdb/tools/RayTracer.h>`

Inheritance diagram for NormalShader< Film::RGBA, SamplerType >:

## Public Types

using | RayT

## Public Member Functions

| NormalShader (const Film::RGBA &c=Film::RGBA(1.0f))
| NormalShader (const NormalShader &)=default
| ~NormalShader () override=default
Film::RGBA | operator() (const Vec3R &, const Vec3R &normal, const Vec3R &) const override
| Defines the interface of the virtual function that returns a RGB color.
BaseShader * | copy () const override

## Member Typedef Documentation

## RayT

using RayT

## Constructor & Destructor Documentation

## NormalShader() [1/2]

template<typename SamplerType>

NormalShader | ( | const Film::RGBA & | c = Film::RGBA(1.0f) | ) |

inline

## NormalShader() [2/2]

template<typename SamplerType>

NormalShader | ( | const NormalShader< Film::RGBA, SamplerType > & |  | ) |

default

## ~NormalShader()

template<typename SamplerType>

~NormalShader | ( |  | ) |

override default

## Member Function Documentation

## copy()

template<typename SamplerType>

BaseShader * copy | ( |  | ) | const

inline override virtual

Implements BaseShader.

## operator()()

template<typename SamplerType>

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir ) const

inline override virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.